
# makefile for scope sample program
#
# NOTE: this makefile assumes that the SICL libraries and include file are
#       two directories up.  You can define SICLLIB to refer to a different
#       location:
#
#       SICLLIB = C:\SICL\C
#

SICLLIB = ..\..

#
# If you are using MSC 6.00AX, you should add the -EM flag to CFLAGS to avoid
# a 'compiler out of far heap space' error message.  MSC6.0 (without the AX
# upgrade) will compile this program if there is at least 600K free memory.
#

CFLAGS = /c /AL /W3 /Gsw /Zp -I$(SICLLIB)
LFLAGS = /align:16 /map /noi /nod
CDEBUG = /Zi /Od
LDEBUG = /CO
LIBS   = libw llibcew $(SICLLIB)\sicl16 $(SICLLIB)\msapp16

all: scope.exe

scope.exe:    scope.obj scope.def scope.res $(SICLLIB)\sicl16.lib
    link $(LFLAGS) $*,$*,$*,$(LIBS),$*;
    rc scope.res

scope.res:   scope.rc scope.ico scope.h
    rc -r scope.rc

scope.obj:    scope.c
    cl $(CFLAGS) $(CDEBUG) scope.c

clean:
	del *.obj
	del *.res
	del *.exe

# end of makefile

